module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				alive_time=3,
				bind_idx=101,
				bind_type=[[node]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_405/Prefabs/magic_eff_40502_Prop1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[2]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={
			args={sound_path=[[Magic/sound_magic_40502_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[5]={
			args={
				alive_time=3,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_405/Prefabs/405_attack2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.05,
		},
		[6]={
			args={
				alive_time=3,
				bind_idx=100,
				bind_type=[[node]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_406/Prefabs/magic_eff_40601_att.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.4,
		},
		[7]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_405/Prefabs/405_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.4,
		},
		[8]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_405/Prefabs/405_hit2_2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.6,
		},
		[9]={args={},func_name=[[End]],start_time=1.6,},
		[10]={
			args={
				alive_time=0.15,
				ease_hide_time=0.05,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_red.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=2.3,
		},
		[11]={
			args={shake_dis=0.1,shake_rate=10,shake_time=0.1,},
			func_name=[[ShakeScreen]],
			start_time=2.3,
		},
		[12]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.3,
		},
		[13]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[top]],
					path=[[Effect/Magic/magic_eff_405/Prefabs/magic_eff_40501_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0.3,
			},
			func_name=[[BodyEffect]],
			start_time=2.3,
		},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_405/Prefabs/magic_eff_40502_Prop1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_405/Prefabs/405_attack2.prefab]],
		[3]=[[Effect/Magic/magic_eff_406/Prefabs/magic_eff_40601_att.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_405/Prefabs/405_hit2.prefab]],
		[5]=[[Effect/Magic/magic_eff_new_405/Prefabs/405_hit2_2.prefab]],
		[6]=[[Effect/Magic/magic_eff_405/Prefabs/magic_eff_40501_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
